public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-libs/wlroots/
Date: Fri, 22 Feb 2019 22:54:17 +0000 (UTC)	[thread overview]
Message-ID: <1550874712.057227baf4c9d271098a7597c537c0adb234750b.bman@gentoo> (raw)

commit:     057227baf4c9d271098a7597c537c0adb234750b
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 22 22:31:52 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Fri Feb 22 22:31:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=057227ba

gui-libs/wlroots: add new category and package

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 gui-libs/wlroots/Manifest            |   2 +
 gui-libs/wlroots/metadata.xml        |  40 ++++++++++++++
 gui-libs/wlroots/wlroots-0.2.ebuild  | 101 +++++++++++++++++++++++++++++++++++
 gui-libs/wlroots/wlroots-0.3.ebuild  | 101 +++++++++++++++++++++++++++++++++++
 gui-libs/wlroots/wlroots-9999.ebuild | 101 +++++++++++++++++++++++++++++++++++
 5 files changed, 345 insertions(+)

diff --git a/gui-libs/wlroots/Manifest b/gui-libs/wlroots/Manifest
new file mode 100644
index 00000000000..a4c642cf78c
--- /dev/null
+++ b/gui-libs/wlroots/Manifest
@@ -0,0 +1,2 @@
+DIST wlroots-0.2.tar.gz 437638 BLAKE2B dd7ca737ba2dfc00e30c83e973616cefb77fccb793161794361422a2fcbdf7299aacea8d794b910fdf06c9a191a89f7f1530d312545d08d126a729be41eeb424 SHA512 b7727b29ed7e5188d5fa6099687f8e6f48b6b3f17f7a6e136956ad6b607054595de3779118bffd4b9730115eaca2f00c2d30d52f4915b2753a749432ec0c3f2a
+DIST wlroots-0.3.tar.gz 473490 BLAKE2B 552bcc5d8bb847dbac5caaddeac830a4de25b4cc80abb6c8b8e610b5e40cc20ff50a145fdfb6bb5f0aa53d218400777ca7a5982c74eb01bd973109b2f8fd7938 SHA512 ccec1426e6ac86fa63f82763d123162fca5be25fb37bbb44a5de651a7764f5325ef21cbe2cf698cb315f0de4719a6bac8eb0ceeffe2111de7c9f4b59e019aaaa

diff --git a/gui-libs/wlroots/metadata.xml b/gui-libs/wlroots/metadata.xml
new file mode 100644
index 00000000000..5fb5999bdba
--- /dev/null
+++ b/gui-libs/wlroots/metadata.xml
@@ -0,0 +1,40 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>bman@gentoo.org</email>
+		<name>Aaron Bauman</name>
+	</maintainer>
+	<maintainer type="person">
+		<email>speedjack95@gmail.com</email>
+		<name>Niccolò Scatena</name>
+	</maintainer>
+	<longdescription lang="en">
+		Pluggable, composable, unopinionated modules for building a Wayland
+		compositor.
+
+		wlroots implements a huge variety of Wayland compositor features and
+		implements them right. By using wlroots, you get high performance,
+		excellent hardware compatibility, broad support for many wayland
+		interfaces, and comfortable development tools.
+
+		wlroots is developed under the direction of the <pkg>dev-libs/sway</pkg> project.
+	</longdescription>
+	<use>
+		<flag name="elogind">Enable support for rootless session via elogind</flag>
+		<flag name="icccm">Use xcb-icccm (from <pkg>x11-libs/xcb-util-wm</pkg>) util library for improved Xwayland introspection</flag>
+		<flag name="rootston">Build the rootston example compositor</flag>
+		<flag name="x11-backend">Enable support for handling input/output devices through <pkg>x11-libs/libxcb</pkg></flag>
+		<flag name="X">Enable support for X11 applications (XWayland)</flag>
+	</use>
+	<upstream>
+		<remote-id type="github">swaywm/wlroots</remote-id>
+		<maintainer status="active">
+			<email>sir@cmpwn.com</email>
+			<name>Drew DeVault</name>
+		</maintainer>
+		<bugs-to>https://github.com/swaywm/wlroots/issues</bugs-to>
+		<doc>https://github.com/swaywm/wlroots/wiki</doc>
+		<changelog>https://github.com/swaywm/wlroots/releases</changelog>
+	</upstream>
+</pkgmetadata>

diff --git a/gui-libs/wlroots/wlroots-0.2.ebuild b/gui-libs/wlroots/wlroots-0.2.ebuild
new file mode 100644
index 00000000000..a3427d6c6fc
--- /dev/null
+++ b/gui-libs/wlroots/wlroots-0.2.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit fcaps meson
+
+DESCRIPTION="Pluggable, composable, unopinionated modules for building a Wayland compositor"
+HOMEPAGE="https://github.com/swaywm/wlroots"
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/swaywm/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="elogind icccm rootston systemd x11-backend X"
+REQUIRED_USE="?? ( elogind systemd )"
+
+DEPEND="
+	>=dev-libs/libinput-1.7.0:0=
+	>=dev-libs/wayland-1.16.0
+	media-libs/mesa[egl,gles2,gbm]
+	virtual/libudev
+	x11-libs/libdrm
+	x11-libs/libxkbcommon
+	x11-libs/pixman
+	elogind? ( >=sys-auth/elogind-237 )
+	icccm? ( x11-libs/xcb-util-wm )
+	systemd? ( >=sys-apps/systemd-237 )
+	x11-backend? ( x11-libs/libxcb:0= )
+	X? (
+		x11-base/xorg-server[wayland]
+		x11-libs/libxcb:0=
+		x11-libs/xcb-util-image
+	)
+"
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	>=dev-libs/wayland-protocols-1.15
+	virtual/pkgconfig
+"
+
+FILECAPS=( cap_sys_admin usr/bin/rootston )
+
+src_configure() {
+	# xcb-util-errors is not on Gentoo Repository (and upstream seems inactive?)
+	local emesonargs=(
+		"-Dxcb-errors=disabled"
+		-Dlibcap=$(usex filecaps enabled disabled)
+		-Dxcb-icccm=$(usex icccm enabled disabled)
+		-Dxwayland=$(usex X enabled disabled)
+		-Dx11-backend=$(usex x11-backend enabled disabled)
+		$(meson_use rootston)
+		"-Dexamples=false"
+		"-Dwerror=false"
+	)
+	if use systemd; then
+		emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=systemd")
+	elif use elogind; then
+		emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=elogind")
+	else
+		emesonargs+=("-Dlogind=disabled")
+	fi
+
+	meson_src_configure
+}
+
+src_install() {
+	if use rootston; then
+		dobin "${BUILD_DIR}"/rootston/rootston
+		newdoc rootston/rootston.ini.example rootston.ini
+	fi
+
+	meson_src_install
+}
+
+pkg_postinst() {
+	elog "You must be in the input group to allow your compositor"
+	elog "to access input devices via libinput."
+	if use rootston; then
+		elog ""
+		elog "You should copy (and decompress) the example configuration file"
+		elog "from ${EROOT:-${ROOT}}/usr/share/doc/${PF}/rootston.ini"
+		elog "to the working directory from where you launch rootston"
+		elog "(or pass the '-C path-to-config' option to rootston)."
+		if ! use systemd && ! use elogind; then
+			elog ""
+			elog "If you use ConsoleKit2, remember to launch rootston using:"
+			elog "exec ck-launch-session rootston"
+
+			fcaps_pkg_postinst
+		fi
+	fi
+}

diff --git a/gui-libs/wlroots/wlroots-0.3.ebuild b/gui-libs/wlroots/wlroots-0.3.ebuild
new file mode 100644
index 00000000000..c96b1fcfc3f
--- /dev/null
+++ b/gui-libs/wlroots/wlroots-0.3.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit fcaps meson
+
+DESCRIPTION="Pluggable, composable, unopinionated modules for building a Wayland compositor"
+HOMEPAGE="https://github.com/swaywm/wlroots"
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/swaywm/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="elogind icccm rootston systemd x11-backend X"
+REQUIRED_USE="?? ( elogind systemd )"
+
+DEPEND="
+	>=dev-libs/libinput-1.7.0:0=
+	>=dev-libs/wayland-1.16.0
+	media-libs/mesa[egl,gles2,gbm]
+	virtual/libudev
+	x11-libs/libdrm
+	x11-libs/libxkbcommon
+	x11-libs/pixman
+	elogind? ( >=sys-auth/elogind-237 )
+	icccm? ( x11-libs/xcb-util-wm )
+	systemd? ( >=sys-apps/systemd-237 )
+	x11-backend? ( x11-libs/libxcb:0= )
+	X? (
+		x11-base/xorg-server[wayland]
+		x11-libs/libxcb:0=
+		x11-libs/xcb-util-image
+	)
+"
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	>=dev-libs/wayland-protocols-1.16
+	virtual/pkgconfig
+"
+
+FILECAPS=( cap_sys_admin usr/bin/rootston )
+
+src_configure() {
+	# xcb-util-errors is not on Gentoo Repository (and upstream seems inactive?)
+	local emesonargs=(
+		"-Dxcb-errors=disabled"
+		-Dlibcap=$(usex filecaps enabled disabled)
+		-Dxcb-icccm=$(usex icccm enabled disabled)
+		-Dxwayland=$(usex X enabled disabled)
+		-Dx11-backend=$(usex x11-backend enabled disabled)
+		$(meson_use rootston)
+		"-Dexamples=false"
+		"-Dwerror=false"
+	)
+	if use systemd; then
+		emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=systemd")
+	elif use elogind; then
+		emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=elogind")
+	else
+		emesonargs+=("-Dlogind=disabled")
+	fi
+
+	meson_src_configure
+}
+
+src_install() {
+	if use rootston; then
+		dobin "${BUILD_DIR}"/rootston/rootston
+		newdoc rootston/rootston.ini.example rootston.ini
+	fi
+
+	meson_src_install
+}
+
+pkg_postinst() {
+	elog "You must be in the input group to allow your compositor"
+	elog "to access input devices via libinput."
+	if use rootston; then
+		elog ""
+		elog "You should copy (and decompress) the example configuration file"
+		elog "from ${EROOT:-${ROOT}}/usr/share/doc/${PF}/rootston.ini"
+		elog "to the working directory from where you launch rootston"
+		elog "(or pass the '-C path-to-config' option to rootston)."
+		if ! use systemd && ! use elogind; then
+			elog ""
+			elog "If you use ConsoleKit2, remember to launch rootston using:"
+			elog "exec ck-launch-session rootston"
+
+			fcaps_pkg_postinst
+		fi
+	fi
+}

diff --git a/gui-libs/wlroots/wlroots-9999.ebuild b/gui-libs/wlroots/wlroots-9999.ebuild
new file mode 100644
index 00000000000..c96b1fcfc3f
--- /dev/null
+++ b/gui-libs/wlroots/wlroots-9999.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit fcaps meson
+
+DESCRIPTION="Pluggable, composable, unopinionated modules for building a Wayland compositor"
+HOMEPAGE="https://github.com/swaywm/wlroots"
+
+if [[ ${PV} == 9999 ]]; then
+	EGIT_REPO_URI="https://github.com/swaywm/${PN}.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/swaywm/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="elogind icccm rootston systemd x11-backend X"
+REQUIRED_USE="?? ( elogind systemd )"
+
+DEPEND="
+	>=dev-libs/libinput-1.7.0:0=
+	>=dev-libs/wayland-1.16.0
+	media-libs/mesa[egl,gles2,gbm]
+	virtual/libudev
+	x11-libs/libdrm
+	x11-libs/libxkbcommon
+	x11-libs/pixman
+	elogind? ( >=sys-auth/elogind-237 )
+	icccm? ( x11-libs/xcb-util-wm )
+	systemd? ( >=sys-apps/systemd-237 )
+	x11-backend? ( x11-libs/libxcb:0= )
+	X? (
+		x11-base/xorg-server[wayland]
+		x11-libs/libxcb:0=
+		x11-libs/xcb-util-image
+	)
+"
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	>=dev-libs/wayland-protocols-1.16
+	virtual/pkgconfig
+"
+
+FILECAPS=( cap_sys_admin usr/bin/rootston )
+
+src_configure() {
+	# xcb-util-errors is not on Gentoo Repository (and upstream seems inactive?)
+	local emesonargs=(
+		"-Dxcb-errors=disabled"
+		-Dlibcap=$(usex filecaps enabled disabled)
+		-Dxcb-icccm=$(usex icccm enabled disabled)
+		-Dxwayland=$(usex X enabled disabled)
+		-Dx11-backend=$(usex x11-backend enabled disabled)
+		$(meson_use rootston)
+		"-Dexamples=false"
+		"-Dwerror=false"
+	)
+	if use systemd; then
+		emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=systemd")
+	elif use elogind; then
+		emesonargs+=("-Dlogind=enabled" "-Dlogind-provider=elogind")
+	else
+		emesonargs+=("-Dlogind=disabled")
+	fi
+
+	meson_src_configure
+}
+
+src_install() {
+	if use rootston; then
+		dobin "${BUILD_DIR}"/rootston/rootston
+		newdoc rootston/rootston.ini.example rootston.ini
+	fi
+
+	meson_src_install
+}
+
+pkg_postinst() {
+	elog "You must be in the input group to allow your compositor"
+	elog "to access input devices via libinput."
+	if use rootston; then
+		elog ""
+		elog "You should copy (and decompress) the example configuration file"
+		elog "from ${EROOT:-${ROOT}}/usr/share/doc/${PF}/rootston.ini"
+		elog "to the working directory from where you launch rootston"
+		elog "(or pass the '-C path-to-config' option to rootston)."
+		if ! use systemd && ! use elogind; then
+			elog ""
+			elog "If you use ConsoleKit2, remember to launch rootston using:"
+			elog "exec ck-launch-session rootston"
+
+			fcaps_pkg_postinst
+		fi
+	fi
+}


             reply	other threads:[~2019-02-22 22:54 UTC|newest]

Thread overview: 194+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-02-22 22:54 Aaron Bauman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-02-26  1:04 [gentoo-commits] repo/gentoo:master commit in: gui-libs/wlroots/ Matthew Thode
2019-03-04 21:35 Matthew Thode
2019-03-12 13:49 Matthew Thode
2019-04-10  3:01 Aaron Bauman
2019-04-10  5:03 Aaron Bauman
2019-04-24 23:11 Thomas Deutschmann
2019-05-03 18:33 Matthew Thode
2019-05-03 18:33 Matthew Thode
2019-05-29 20:45 Aaron Bauman
2019-06-02 17:22 Matthew Thode
2019-08-01 15:26 Aaron Bauman
2019-08-28 17:37 Matthew Thode
2019-08-28 19:08 Matthew Thode
2019-09-27 18:12 Matthew Thode
2019-09-27 18:12 Matthew Thode
2019-11-04  3:17 Aaron Bauman
2019-11-08  2:14 Aaron Bauman
2019-11-08  3:29 Aaron Bauman
2019-11-13  3:48 Aaron Bauman
2019-11-13  3:48 Aaron Bauman
2020-01-11 20:02 Matthew Thode
2020-01-22 22:20 Matthew Thode
2020-01-22 22:20 Matthew Thode
2020-01-24  4:19 Georgy Yakovlev
2020-01-24  4:19 Georgy Yakovlev
2020-02-22 21:39 Matthew Thode
2020-02-22 21:39 Matthew Thode
2020-04-19 15:51 Aaron Bauman
2020-04-24  1:33 Matthew Thode
2020-05-16  2:49 Matthew Thode
2020-07-16 14:50 Matthew Thode
2020-07-24 16:29 Aaron Bauman
2020-07-25 11:16 Sam James
2020-07-25 19:33 Sam James
2020-09-15 16:29 Matthew Thode
2020-09-15 16:57 Matthew Thode
2020-11-09 14:56 Aaron Bauman
2020-11-09 14:56 Aaron Bauman
2020-11-09 15:30 Aaron Bauman
2020-11-09 16:38 Aaron Bauman
2020-11-10 18:26 Aaron Bauman
2020-11-11 17:03 Aaron Bauman
2020-11-11 17:24 Aaron Bauman
2020-12-11 18:02 Matthew Thode
2021-02-14 19:38 Matthew Thode
2021-02-21  2:32 Matthew Thode
2021-04-08 15:37 Matthew Thode
2021-04-19 20:38 Matthew Thode
2021-04-19 20:38 Matthew Thode
2021-04-19 20:40 Matthew Thode
2021-05-09 18:00 Matthew Thode
2021-06-09 18:13 Matthew Thode
2021-06-25 16:03 Matthew Thode
2021-06-26 20:52 Matthew Thode
2021-07-21  2:22 Yixun Lan
2021-07-24 20:26 Matthew Thode
2021-07-26 19:51 Piotr Karbowski
2021-08-18  1:28 Sam James
2021-08-18  1:28 Sam James
2021-08-20  0:28 Sam James
2021-08-25  2:21 Aaron Bauman
2021-09-19 20:11 Matthew Thode
2021-09-20  0:42 Matthew Thode
2021-10-11 15:24 Matthew Thode
2021-10-30 23:33 Sam James
2021-10-30 23:33 Sam James
2021-10-31  0:19 Sam James
2021-11-01  1:26 Matthew Thode
2021-11-01  1:33 Matthew Thode
2021-11-01  1:49 Matthew Thode
2021-11-01  1:55 Matthew Thode
2021-11-18 23:15 Matthew Thode
2021-12-13  5:41 Matthew Thode
2021-12-25  4:31 Matthew Thode
2021-12-26  1:23 Matthew Thode
2022-01-01 10:03 Sam James
2022-02-22 19:47 Matthew Thode
2022-02-26  2:43 Sam James
2022-02-26  2:43 Sam James
2022-05-17  5:59 Sam James
2022-05-26  5:39 WANG Xuerui
2022-05-26  5:39 WANG Xuerui
2022-07-24  5:00 Matthew Thode
2022-08-14  6:50 Joonas Niilola
2022-08-14 19:24 Arthur Zamarin
2022-08-16 18:08 Arthur Zamarin
2022-08-16 19:43 Sam James
2022-08-16 19:43 Sam James
2022-08-17  4:53 Arthur Zamarin
2022-08-17 20:42 Matthew Thode
2022-10-03 13:27 Joonas Niilola
2022-10-17 18:42 Arthur Zamarin
2022-11-11 20:28 Matthew Thode
2022-11-12  7:21 Sam James
2022-11-27 17:46 Matthew Thode
2022-11-27 17:46 Matthew Thode
2022-11-27 17:46 Matthew Thode
2022-12-25 18:51 Matthew Thode
2023-01-25 20:46 Matthew Thode
2023-02-13  3:31 Matthew Thode
2023-02-25  5:46 Arthur Zamarin
2023-02-25 17:45 Matthew Thode
2023-02-25 18:09 Matthew Thode
2023-03-07  7:57 Sam James
2023-03-12 22:29 Matthew Thode
2023-03-24 14:45 Matthew Thode
2023-04-13  1:36 Matthew Thode
2023-04-20 18:28 Arthur Zamarin
2023-05-13 16:59 Matthew Thode
2023-05-13 17:06 Matthew Thode
2023-05-21 19:58 Matthew Thode
2023-05-21 20:02 Matthew Thode
2023-05-21 20:04 Matthew Thode
2023-05-23  2:52 Sam James
2023-07-07 19:07 Arthur Zamarin
2023-07-07 19:07 Arthur Zamarin
2023-07-07 19:07 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:51 Arthur Zamarin
2023-09-28 17:52 Arthur Zamarin
2023-10-05 16:02 Arthur Zamarin
2023-11-05 13:38 Sam James
2023-11-05 13:50 Sam James
2023-11-05 14:48 Sam James
2023-11-25  6:12 Sam James
2023-11-29  6:20 Sam James
2023-12-05  7:53 Arthur Zamarin
2024-01-03 19:07 Arthur Zamarin
2024-01-03 19:07 Arthur Zamarin
2024-01-03 21:34 Sam James
2024-01-04 10:02 Sam James
2024-01-04 10:02 Sam James
2024-01-23  5:07 Ionen Wolkens
2024-01-28 17:34 Matt Turner
2024-02-09  1:04 Sam James
2024-02-09  1:04 Sam James
2024-02-09  1:04 Sam James
2024-02-09  2:21 Sam James
2024-03-08 11:33 Arthur Zamarin
2024-03-12  6:34 Arthur Zamarin
2024-03-12  6:34 Arthur Zamarin
2024-04-13  6:37 Arthur Zamarin
2024-04-13  6:39 Arthur Zamarin
2024-04-13  6:41 Arthur Zamarin
2024-04-13  7:13 Arthur Zamarin
2024-04-13  7:24 Arthur Zamarin
2024-04-28 14:07 Arthur Zamarin
2024-04-28 14:07 Arthur Zamarin
2024-05-23 16:10 Matt Turner
2024-05-28  2:11 Sam James
2024-06-04 18:31 Arthur Zamarin
2024-06-11  5:56 Arthur Zamarin
2024-06-11  5:56 Arthur Zamarin
2024-06-25 22:03 Sam James
2024-06-25 22:03 Sam James
2024-06-25 22:03 Sam James
2024-06-25 22:04 Sam James
2024-06-27 20:24 Arthur Zamarin
2024-06-30 15:05 James Le Cuirot
2024-07-11 10:54 Arthur Zamarin
2024-07-13  6:02 Arthur Zamarin
2024-07-13  6:02 Arthur Zamarin
2024-07-13 18:14 Arthur Zamarin
2024-07-13 18:14 Arthur Zamarin
2024-07-13 19:18 Arthur Zamarin
2024-07-13 19:18 Arthur Zamarin
2024-07-29 23:05 Sam James
2024-07-29 23:05 Sam James
2024-07-29 23:05 Sam James
2024-07-29 23:05 Sam James
2024-08-16  7:28 Arthur Zamarin
2024-08-16  7:54 Arthur Zamarin
2024-08-16 10:50 Arthur Zamarin
2024-08-30  6:45 Arthur Zamarin
2024-08-30  9:05 Arthur Zamarin
2024-08-31  5:02 Sam James
2024-08-31  5:02 Sam James
2024-09-20 20:28 Arthur Zamarin
2024-10-23 22:27 Sam James
2024-10-24  1:03 Sam James
2024-10-24  1:03 Sam James
2024-10-24  7:34 Arthur Zamarin
2024-12-13 10:15 Arthur Zamarin
2025-02-15 13:34 Arthur Zamarin
2025-02-15 13:45 Sam James
2025-02-15 13:45 Sam James
2025-02-15 19:39 Jakov Smolić

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1550874712.057227baf4c9d271098a7597c537c0adb234750b.bman@gentoo \
    --to=bman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox